\version "2.20.0"
\language "english"

\header {
   title = \markup {  
     \pad-to-box #'(0 . 0) #'(-11.9 . 11)
     \override #'(font-name . "AppleMyungjo") \fontsize #5 "A Morning Sunbeam" } 
  
  composer = \markup {
    \column {
              \override #'(word-space . 1.4)
              \override #'(font-name . "Baskerville")
              \justify  \smallCaps { Florence B. Price }
    }
  }

  arranger = \markup { \override #'(font-name . "Baskerville") "Typeset: Owain Evans" }
  copyright = \markup { \override #'(font-name . "Baskerville")
    \with-url #"https://creativecommons.org/licenses/by-sa/4.0/" {
      \raise #2 \pad-to-box #'(0 . 0) #'(-3 . 5)
      "©2020  Creative Commons Attribution-ShareAlike 4.0 International Public License."
    }
  }
  tagline = \markup { \override #'(font-name . "Baskerville")
    \with-url #"https://lilypond.org/" {
      \rounded-box \pad-to-box #'(0 . 0) #'(0 . 2)
      "Music engraving by LilyPond 2.20.0—www.lilypond.org"
    }
  }
}
\paper {
   page-count = 2
   ragged-bottom = ##f
   ragged-last-bottom = ##f 
   
   oddFooterMarkup = \markup {
    \column {
      \fill-line {
        %% Copyright header field on all pages
        \fromproperty #'header:copyright
      }
      \fill-line {
        %% Copyright tagline field on all pages
        \fromproperty #'header:tagline
      }
    }
   }
}

fingOff = \override Staff.Fingering.stencil = #'()
fingOn = \revert Staff.Fingering.stencil

global = {
  \key g \major
  \time 3/4
  \tempo "Andantino" 2.=69
}

OoFingNoPadding = \once \override Fingering.staff-padding = #'()
fingInsideSlur = \once \override Fingering #'avoid-slur = #'inside
fingBitL = \once \override Fingering.extra-offset = #'(-0.3 . 0)
fingBitR = \once \override Fingering.extra-offset = #'(0.3 . 0)

slurShape = \shape #'((0 . -1) (0 . 0.5) (0.4 . 0.5) (0 . 0)) Slur
slurShapeRelativeCorrection = \shape #'((0 . 0) (0 . 0.6) (0 . 0.4) (0 . 0)) Slur
lhBxviiSlur = \shape #'((0 . 0) (0 . 1) (0 . 1) (0 . 0)) Slur

barRest = R1 * 3/4
twoBarsRest = \repeat unfold 2 { R1 * 6/8 }

rhBxvii_xx = \relative c' { \repeat unfold 4 { r4 c^2( e^4) \fingOff } | \fingOn }

lhBi_vii = \relative c' { 
  
  \slurShape g4(^5 \OoFingNoPadding \fingInsideSlur b^3 d^1)
  \repeat unfold 3 { \slurShapeRelativeCorrection g,4( b d) } |
  \barRest | d2^1 r4 | 
}
lhBxvii_xxi = { \lhBxviiSlur \fingBitR e2._4( | g_2 | a_1 | g_2) } |

right =  \relative c'' {
  \global
  b2.^3( | d^5) | g,^1( | b^3) |
  \fingBitL a4^2( \once \stemUp \fingBitL b^3 a) | r r d^5 | \fingBitL a4^2( \once \stemUp \fingBitL b^3 a) | \barRest |
  b2.^3( | d^5) | g,^1( | b^3) |
  a4_2( \once \stemUp b a) | r r a_2 |
  g2._1~ | g2 r4 | \bar "|." \break
  
  \key c \major
  \rhBxvii_xx
  \repeat unfold 4 { r r <b,^1 f'^5> \fingOff } |
  \fingOn
  \rhBxvii_xx
  \repeat unfold 2 { r r q } |
  \barRest |
  <c^2 e^4>2 r4 |\bar"||"
  \key g \major 
  \pageBreak   
   s 
  % quick fix on key change show staff lines
  % this is unwanted producing 2 pages (in paper block) 
  % adding oddFooterMarkup in paper block too.
  % and spacer rest
  
}

left = \relative c' {
  \global
  \lhBi_vii
  \barRest | d2^1 r4 |
  \lhBi_vii
  <g, b>2.^5^3~ |
  q2 r4 |
  \key c \major
  \lhBxvii_xxi
  \lhBxviiSlur \fingBitR d2_5( \fingBitR e4_4 | g2_2 \fingBitR e4_4 | \fingBitR d2._5) | g2.^2 |
  \lhBxvii_xxi
  \fingBitR d2_5 \fingBitR e4_4 | d2 g4_1 | c,2._5~ | c2 r4 |
  \key g \major
  s
}

dynamics = {
  s1 * 3/4 * 15\mf |
  s4  s4-"Fine." s |
  s1 * 3/4 * 14\mp |
  \override Hairpin.whiteout = ##t
  s1 *3/4-"poco rit."\< |
  s4 s8\! s-"D.C." s s |
}

\score {
  \new PianoStaff \with {
    instrumentName = ""
  } <<
    \new Staff = "right" \with {
      midiInstrument = "acoustic grand"
    } \right
    \new Dynamics = "dynamics" {\dynamics}
    \new Staff = "left" \with {
      midiInstrument = "acoustic grand"
    } { \clef bass \left }
  >>
  \layout { 
    \context {
      \Score
      \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 3/8)
      \override VerticalAxisGroup.staff-staff-spacing = #'((basic-distance . 13.5))
    }
  }
}
